      **************************************************************************
      * Desc:  Prototype for XVERRH.
      * By..:  Alan Campin
      * Date:  06/13/2008
      **************************************************************************
      * Program Modifications
      **************************************************************************
      * By:
      * Date:
      * Desc:
      *
      **************************************************************************
     d ERRH_AddMessage...
     d                 pr                  ExtProc('ERRH_AddMessage')
     d   PR_InMessageId...
     d                                     Like(StdMsgId)
     d                                     Value
     d   PR_InQualifiedMessageFileName...
     d                                     Like(StdQNam)
     d                                     Value
     d   PR_InMessageData...
     d                             1024    Varying
     d                                     Value

     d ERRH_GetMessageCount...
     d                 pr                  ExtProc('ERRH_GetMessageCount')
     d                                     Like(StdIntSml)

     d ERRH_GetLastMessage...
     d                 pr                  ExtProc('ERRH_GetLastMessage')
     d                                     Like(StdLgl)
     d   PR_OutMessageId...
     d                                     Like(StdMsgId)
     d   PR_OutQualifiedMessageFileName...
     d                                     Like(StdQnam)
     d   PR_OutMessageData...
     d                             1024    Varying

     d ERRH_GetMessage...
     d                 pr                  ExtProc('ERRH_GetMessage')
     d                                     Like(StdLgl)
     d   PR_OutMessageId...
     d                                     Like(StdMsgId)
     d   PR_OutQualifiedMessageFileName...
     d                                     Like(StdQnam)
     d   PR_OutMessageData...
     d                             1024    Varying

     d ERRH_FreeAllMessages...
     d                 pr                  ExtProc('ERRH_FreeAllMessages')

     d ERRH_Throw...
     d                 pr                  ExtProc('ERRH_Throw')
     d   PR_InMessageId...
     d                                     Like(StdMsgId)
     d                                     Value
     d   PR_InQualifiedMessageFileName...
     d                                     Like(StdQNam)
     d                                     Value
     d   PR_InMessageData...
     d                             1024    Varying
     d                                     Value

      *= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
      * ERRH_Rethrow
      *   This procedure re-throw the last message sent. It is meant to be
      *     used by a procedure to send a message up the line from another
      *     procedure in the same module.
      *       In     Parms - None.
      *       In/Out Parms - None.
      *       Out    Parms - None.
      *     Return         - None.
      *= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
     d ERRH_Rethrow...
     d                 pr                  ExtProc('ERRH_Rethrow')

     d ERRH_BuildConditionToken...
     d                 pr                  ExtProc('ERRH_BuildConditionToken')
     d                                     Like(StdCndTok)
     d   PR_InMessageId...
     d                                     Like(StdMsgId)
     d                                     Value
     d   PR_InMessageSeverity...
     d                                     Like(StdIntSml)
     d                                     Value
     d   PR_InConditionType...
     d                                     Like(StdChr)
     d                                     Value

     d cConditionTypeUser...
     d                 c                   'U'
     d cConditionTypeSystem...
     d                 c                   'S'

      /If Defined(ILE_SignalError)
     *- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -    -*
     * Prototype for ILE Signal Error Function.
     d ILE_SignalError...
     d                 pr                  ExtProc('CEESGL')
     d   PR_InConditionToken...
     d                                     Like(StdCndTok)
     d                                     Const
      /EndIf
